گروههای الگو
الگوها در گروههایی دستهبندی شدهاند. شناسهی گروه را میتوان برای دریافت الگوهای یک گروه به کار برد.
ساختار گروه (MsgFormatGroupDto)
| فیلد | نوع | توضیح |
|---|---|---|
id | عدد صحیح | شناسهی گروه |
name | رشته | نام گروه |
description | رشته | توضیح گروه |
modifiedAt | تاریخ | زمان آخرین ویرایش |
فهرست گروهها
GET /sms/api/FormatGroup
- curl
- C#
- Python
- Node.js
- PHP
- Go
curl -X GET "https://api.payavasms.com/sms/api/FormatGroup" \
-H "X-Api-Key: YOUR_API_KEY"
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.payavasms.com/sms/api/FormatGroup");
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");
import requests
url = "https://api.payavasms.com/sms/api/FormatGroup"
headers = {
"X-Api-Key": "YOUR_API_KEY",
}
response = requests.get(url, headers=headers)
print(response.status_code, response.text)
const response = await fetch("https://api.payavasms.com/sms/api/FormatGroup", {
method: "GET",
headers: {
"X-Api-Key": "YOUR_API_KEY",
},
});
console.log(response.status, await response.text());
<?php
$ch = curl_init("https://api.payavasms.com/sms/api/FormatGroup");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"X-Api-Key: YOUR_API_KEY",
],
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $status . " " . $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.payavasms.com/sms/api/FormatGroup", nil)
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(data))
}
[
{
"id": "665f0c2e9b1d4a0012ab34cf",
"name": "احراز هویت",
"description": "الگوهای کد تأیید",
"modifiedAt": "2026-10-01T08:30:00Z"
}
]
فهرست صفحهبندیشده
GET /sms/api/FormatGroup/Page?skip={skip}&limit={limit}
| پارامتر | نوع | توضیح |
|---|---|---|
skip | عدد صحیح | تعداد ردیفهای ردشده |
limit | عدد صحیح | تعداد ردیفهای برگشتی |
- curl
- C#
- Python
- Node.js
- PHP
- Go
curl -X GET "https://api.payavasms.com/sms/api/FormatGroup/Page?skip=0&limit=20" \
-H "X-Api-Key: YOUR_API_KEY"
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.payavasms.com/sms/api/FormatGroup/Page?skip=0&limit=20");
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");
import requests
url = "https://api.payavasms.com/sms/api/FormatGroup/Page?skip=0&limit=20"
headers = {
"X-Api-Key": "YOUR_API_KEY",
}
response = requests.get(url, headers=headers)
print(response.status_code, response.text)
const response = await fetch("https://api.payavasms.com/sms/api/FormatGroup/Page?skip=0&limit=20", {
method: "GET",
headers: {
"X-Api-Key": "YOUR_API_KEY",
},
});
console.log(response.status, await response.text());
<?php
$ch = curl_init("https://api.payavasms.com/sms/api/FormatGroup/Page?skip=0&limit=20");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"X-Api-Key: YOUR_API_KEY",
],
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $status . " " . $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.payavasms.com/sms/api/FormatGroup/Page?skip=0&limit=20", nil)
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(data))
}
[
{
"id": "665f0c2e9b1d4a0012ab34cf",
"name": "احراز هویت",
"description": "الگوهای کد تأیید",
"modifiedAt": "2026-10-01T08:30:00Z"
}
]
تعداد گروهها
GET /sms/api/FormatGroup/Count
- curl
- C#
- Python
- Node.js
- PHP
- Go
curl -X GET "https://api.payavasms.com/sms/api/FormatGroup/Count" \
-H "X-Api-Key: YOUR_API_KEY"
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.payavasms.com/sms/api/FormatGroup/Count");
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");
import requests
url = "https://api.payavasms.com/sms/api/FormatGroup/Count"
headers = {
"X-Api-Key": "YOUR_API_KEY",
}
response = requests.get(url, headers=headers)
print(response.status_code, response.text)
const response = await fetch("https://api.payavasms.com/sms/api/FormatGroup/Count", {
method: "GET",
headers: {
"X-Api-Key": "YOUR_API_KEY",
},
});
console.log(response.status, await response.text());
<?php
$ch = curl_init("https://api.payavasms.com/sms/api/FormatGroup/Count");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"X-Api-Key: YOUR_API_KEY",
],
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $status . " " . $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.payavasms.com/sms/api/FormatGroup/Count", nil)
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(data))
}
12
گروه با شناسه
GET /sms/api/FormatGroup/{id}
- curl
- C#
- Python
- Node.js
- PHP
- Go
curl -X GET "https://api.payavasms.com/sms/api/FormatGroup/GROUP_ID" \
-H "X-Api-Key: YOUR_API_KEY"
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.payavasms.com/sms/api/FormatGroup/GROUP_ID");
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");
import requests
url = "https://api.payavasms.com/sms/api/FormatGroup/GROUP_ID"
headers = {
"X-Api-Key": "YOUR_API_KEY",
}
response = requests.get(url, headers=headers)
print(response.status_code, response.text)
const response = await fetch("https://api.payavasms.com/sms/api/FormatGroup/GROUP_ID", {
method: "GET",
headers: {
"X-Api-Key": "YOUR_API_KEY",
},
});
console.log(response.status, await response.text());
<?php
$ch = curl_init("https://api.payavasms.com/sms/api/FormatGroup/GROUP_ID");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"X-Api-Key: YOUR_API_KEY",
],
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
echo $status . " " . $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.payavasms.com/sms/api/FormatGroup/GROUP_ID", nil)
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(res.StatusCode, string(data))
}
{
"id": "665f0c2e9b1d4a0012ab34cf",
"name": "احراز هویت",
"description": "الگوهای کد تأیید",
"modifiedAt": "2026-10-01T08:30:00Z"
}